Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#3401 latoidayvn

latoidayvn

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 27 April 2011 - 10:29 AM

Vì bạn nói tất cả cùng cao độ, tức là cột z chỉ có 1 giá trị, thì cũng đâu có lâu ^^
CÒn nếu không, bạn hãy post công cụ bạn đang sử dụng (lisp), file CAD mẫu, file số liệu đầu ra mẫu thì mọi người mới giúp bạn được. Kiểu như nhờ bạn gái nấu ăn thì cũng nên ga lăng đi chợ ý mà ^^

Đây là lisp mình đang dùng của ban Phiphi up lên
http://www.cadviet.c...nhap_toa_do.zip
mình dùng lisp coorn để xuất toạ độ x y nhưng toạ đo z luôn ra bằng 0 khi dùng cho đường pline (dù mình đã thay độ cao cho đưòng pline đó bằng 50)
Còn nếu dùng lệnh coorn cho đưòng 2dpolyline thi nó xuất đựoc ra cả độ cao Z
Nếu có thể bạn có thể cho mình cái lisp:
1. chuyển tất các đưòng polyline thành 2dpolyline ^^ (cái này là tốt nhất)
2. Như trên minh nói chỉ cần thêm chuyển màu dường đã làm thành màu khác để cho đỡ bị lẫn ^^
Cám ơn bạn trước!
  • 0

#3402 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1435 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 27 April 2011 - 12:17 PM

mình đã tìm trên diễn dàn vai lisp về chuyển toạ độ từ pline sang exel. Nhưng chưa tìm thấy cái nào xuất cả độ cao
Vd: mình có 1 đường pline, dùng topo để chuyển thành độ cao 50, nhưng mà khi xuất điểm trên đường đó với lệnh coorn thì ko ra được độ cao là 50
Vậy mong các bạn giúp mình cái lisp khi xuất toạ dộ các điểm trên đường pline đó no sẽ hỏi mình là xuất các điểm đó với độ cao nào ?( các điểm cùng độ cao)

Lisp xuất tọa độ Pline (2D-3D) ra Excel (bao gồm cao độ Z).
Tham khảo : Xuất tọa độ PLINE ra file Excel. bài 160.
  • 1

#3403 latoidayvn

latoidayvn

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 27 April 2011 - 01:26 PM

Lisp xuất tọa độ Pline (2D-3D) ra Excel (bao gồm cao độ Z).
Tham khảo : Xuất tọa độ PLINE ra file Excel. bài 160.

ohh cám ơn bạn đã tìm giúp mình ^^ cái này sao mình ko tìm đựoc nhỉ...
Nếu có thể bạn có thể hoan thiện nốt cho lisp này đựoc hoàn hảo hơn, tại vì mình chưa nghịch lisp bao giờ, bây giờ mới mọ mẹ tìm hiểu tại thấy hay quá.
Nhựoc điểm của cái lisp này ở chỗ là chỉ xuất cho 1 đường pline mà thôi, bây giờ mình có 1 tập đưòng pline hoặc đưòng đồng mức với các độ cao khác nhau, khi mình chọn tất cả thì nó sẽ xuất độ cao của 1 tập đưòng với các độ cao khác nhau đó.
Taị vì cái này coorn lại làm đựoc nhưng nó chỉ làm đựoc với đưong 2dpolyline mà thôi còn đuơng pline no cho bằng 0 hết
Hoặc bạn có thể ghép uư điểm của 2 lệnh coorn và p2e vào làm 1
-coOrn thì làm đựoc với 1 tập hợp dưòng 2dpolyline với độ cao khác nhau
-p2e thì làm đựoc với đưòng polyline
Xin cám ơn!
  • 0

#3404 m4u_and1

m4u_and1

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 April 2011 - 02:12 PM

Bạn dùng cái này thử xem.

(defun c:tt (/ A B)
(if (setq A (nentsel "\nCh\U+1ECDn text ngu\U+1ED3n :"))
(progn
(setq A (cdr (assoc 1 (entget (car A)))))
(while (setq B (car (nentsel "\nCh\U+1ECDn text b\U+1ECB thay th\U+1EBF :")))
(entmod
(subst
(cons 1 A)
(assoc 1 (entget B))
(entget B)
) ;_ end of subst
) ;_ end of entmod
) ;_ end of while
) ;_ end of progn
) ;_ end of if
(princ)
) ;_ end of defun
P/S : match được cả các text trong block :)

Cảm ơn bác rất nhiều.
Lisp của bác rất hữu ích cho em ạ. Em chỉ góp ý thêm chút xíu thôi thế này được không: bác làm sao cho cái lisp này khi sử dụng mình có thể khoanh xung quanh các đối tượng được chọn chứ không đơn thuần là pick vào đối tượng được chọn. Vì em thấy nếu theo lisp thì khi pick trật khỏi text là nó tự kết thúc lệnh luôn. hehe. Em làm phiền bác tí vậy :P
  • 0

#3405 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5681 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 April 2011 - 02:18 PM

Cảm ơn bác rất nhiều.
Lisp của bác rất hữu ích cho em ạ. Em chỉ góp ý thêm chút xíu thôi thế này được không: bác làm sao cho cái lisp này khi sử dụng mình có thể khoanh xung quanh các đối tượng được chọn chứ không đơn thuần là pick vào đối tượng được chọn. Vì em thấy nếu theo lisp thì khi pick trật khỏi text là nó tự kết thúc lệnh luôn. hehe. Em làm phiền bác tí vậy :P

Khoanh xung quanh các đối tượng đc chọn thì cái nào là cái nguồn trong các cái đó. Nếu thay 1 tập các text A = 1 tập các text B, bạn có đảm bảo số text chọn bằng nhau, hoặc theo đúng thứ tự mong muốn ?
P/S : với chọn khoanh : mình cũng tịt luôn điểm hay ở lisp này là change được text trong Block :)

=> Mình sẽ đưa cho bạn lựa chọn là chọn text nguồn hoặc đích đến bao giờ trúng thì thôi, OK ?
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3406 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 27 April 2011 - 02:27 PM

Khoanh xung quanh các đối tượng đc chọn thì cái nào là cái nguồn trong các cái đó. Nếu thay 1 tập các text A = 1 tập các text B, bạn có đảm bảo số text chọn bằng nhau, hoặc theo đúng thứ tự mong muốn ?
P/S : với chọn khoanh : mình cũng tịt luôn điểm hay ở lisp này là change được text trong Block :)

=> Mình sẽ đưa cho bạn lựa chọn là chọn text nguồn hoặc đích đến bao giờ trúng thì thôi, OK ?


MÌnh nghĩ ý bạn kia là chọn text đích = ssget rồi thay tất cả trong đó y như nguồn :lol:
  • 1

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#3407 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5681 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 April 2011 - 02:32 PM

MÌnh nghĩ ý bạn kia là chọn text đích = ssget rồi thay tất cả trong đó y như nguồn :lol:

Nếu thế thì vấn đề k khó ^^ Chỉ còn chờ ý kiến người yêu cầu thôi ^^. TUy nhiên, ngoài nentsel ra, mình vẫn chưa có phương án sửa Text trong block mà không cần bedit, nên, nếu đã nói đến ssget, thì cũng coi như bỏ điểm này ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3408 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 27 April 2011 - 02:41 PM

Cảm ơn bác rất nhiều.
Lisp của bác rất hữu ích cho em ạ. Em chỉ góp ý thêm chút xíu thôi thế này được không: bác làm sao cho cái lisp này khi sử dụng mình có thể khoanh xung quanh các đối tượng được chọn chứ không đơn thuần là pick vào đối tượng được chọn. Vì em thấy nếu theo lisp thì khi pick trật khỏi text là nó tự kết thúc lệnh luôn. hehe. Em làm phiền bác tí vậy :P

Hề hề hề,
Mạn phép bác Ketxu, giài thích hộ bạn m4u_and1 một tí nha.
Lisp bác Ketxu viết sử dụng hàm nentsel là hàm chỉ cho chọn đối tượng bằng cách pick điểm. Do vậy nếu thấy việc pick điểm có khó khăn , hay bị trật chìa thì có hai cách khắc phục:
1/- Đi khám mắt và sắm thêm cái kính cho xịn để nhìn được rõ và chuẩn xác. Cách này hơi tốn kém và yêu cầu người sử dụng phải cỡ U60 trở lên.
2/- hãy chịu khó vào option để đặt lại kích thước cái hộp pickbox cho nó nhơn nhớn một tí, đủ khắc phục sai số pick chọn và trước khi chọn nên zoom màn hình cho nó to to một tí để dễ nhòm. Cách này đỡ tốn kém hơn nhưng đòi hỏi người sử dụng phải chịu khó một chút.
Hề hề hề,
Còn việc bạn muốn thay thế hàm nentsel bằng một cái hàm chọn khác thì như vậy sẽ mất đi cái mục tiêu mà bác ketxu đã định là chơi cả những thằng có trong block.
hề hề hề, vài lời nói leo, mong các bác chớ giận.....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3409 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 27 April 2011 - 02:52 PM

ohh cám ơn bạn đã tìm giúp mình ^^ cái này sao mình ko tìm đựoc nhỉ...
Nếu có thể bạn có thể hoan thiện nốt cho lisp này đựoc hoàn hảo hơn, tại vì mình chưa nghịch lisp bao giờ, bây giờ mới mọ mẹ tìm hiểu tại thấy hay quá.
Nhựoc điểm của cái lisp này ở chỗ là chỉ xuất cho 1 đường pline mà thôi, bây giờ mình có 1 tập đưòng pline hoặc đưòng đồng mức với các độ cao khác nhau, khi mình chọn tất cả thì nó sẽ xuất độ cao của 1 tập đưòng với các độ cao khác nhau đó.
Taị vì cái này coorn lại làm đựoc nhưng nó chỉ làm đựoc với đưong 2dpolyline mà thôi còn đuơng pline no cho bằng 0 hết
Hoặc bạn có thể ghép uư điểm của 2 lệnh coorn và p2e vào làm 1
-coOrn thì làm đựoc với 1 tập hợp dưòng 2dpolyline với độ cao khác nhau
-p2e thì làm đựoc với đưòng polyline
Xin cám ơn!

Hề hề hề,
Việc nghịch lisp cũng có nhiều cái khoái ra phết đó. bạn hãy chịu khó nghịch thêm chút nữa nha.
Yêu cầu của bạn có thể hoàn toàn làm được, bạn thử nghich một chút theo hướng như sau:
1/- lấy tập chọn các polyline.
2/- Duyệt qua từng thằng để lấy cái danh sách tọa độ các đỉnh của mỗi polyline.
3/- tạo một list mới gồm các đối tượng là các danh sách điểm của mỗi polyline.
4/- duyệt qua cái list mới này và ứng với mỗi phần tữ thì ghi tọa độ của các đỉnh trong phần tử này ra Excel bằng cái hàm exceltocad của bác gia bach.
Bạn hãy thử xem sao, nếu không được hãy post lên mọi người sẽ giúp bạn nhé.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3410 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 27 April 2011 - 03:04 PM

Em có 2 vấn đề như thế này ạ:
1) Có 2 đường thẳng như sau (1 và 2):
Hình đã gửi
Nếu dùng lệnh trim thông thường thì nếu chọn đường thẳng cắt là đường số 1 và đường bị cắt là đường số 2, như vậy, thì một phần của đường thẳng số 2 sẽ bị xóa. Làm cách nào để đường số 1 vẫn cắt đường số 2 nhưng sau khi bị cắt thì không phần nào bị xóa cả ạ ? (tức là sau khi cắt thì đường số 1 thành 2 đường liên tiếp số 3 và số 4):
Hình đã gửi

2) Giả sử có các đoạn thẳng được vẽ liên tiếp. Làm thế nào để kiểm tra là hai đoạn thẳng gần nhau có bị gián đoạn (điểm đầu của đoạn sau không trùng với điểm cuối của đoạn trước), hay chồng lên nhau (điểm đầu của đoạn sau nằm trên đoạn trước, không trùng với điểm cuối của đoạn trước)hay là 2 đoạn thẳng có một phần chung?
Hình đã gửi
Hình đã gửi
Hình đã gửi
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#3411 lisp_newbie

lisp_newbie

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 April 2011 - 03:14 PM

Không bác nào hứng thú với vấn đề của mình hết nhỉ?
http://www.cadviet.c...81
  • 0

#3412 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5681 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 April 2011 - 03:16 PM

1.Cái bạn nói gọi là break. Bạn có thể tìm trên diễn đàn về cách dùng lệnh này, hoặc lisp break nhanh...
2.Bạn không nói việc kiểm tra làm j, bằng công cụ gì, đầu ra ra sao, nên câu này chờ bạn update sau
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3413 latoidayvn

latoidayvn

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 27 April 2011 - 03:16 PM

Hề hề hề,
Việc nghịch lisp cũng có nhiều cái khoái ra phết đó. bạn hãy chịu khó nghịch thêm chút nữa nha.
Yêu cầu của bạn có thể hoàn toàn làm được, bạn thử nghich một chút theo hướng như sau:
1/- lấy tập chọn các polyline.
2/- Duyệt qua từng thằng để lấy cái danh sách tọa độ các đỉnh của mỗi polyline.
3/- tạo một list mới gồm các đối tượng là các danh sách điểm của mỗi polyline.
4/- duyệt qua cái list mới này và ứng với mỗi phần tữ thì ghi tọa độ của các đỉnh trong phần tử này ra Excel bằng cái hàm exceltocad của bác gia bach.
Bạn hãy thử xem sao, nếu không được hãy post lên mọi người sẽ giúp bạn nhé.

Mình bây giờ mới đọc mấy cái nhập môn của bác ssg để hiểu về các lệnh thôi.
Nhưng cám ơn bạn về các bứoc cần đi, mình sẽ cố gắng...
  • 0

#3414 nguyentuyen6

nguyentuyen6

    biết lệnh chamfer

  • Advance Member
  • PipPipPipPip
  • 213 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 27 April 2011 - 03:17 PM

Không bác nào hứng thú với vấn đề của mình hết nhỉ?
http://www.cadviet.c...81

Chắc tại mọi người ngại down cái file của bạn :lol: . Bạn up ảnh trực tiếp lên đây thì tốt quá
  • 0

Lisp In bản vẽ hàng loạt:
http://www.cadviet.c...ndpost&p=139860


#3415 pdle

pdle

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 286 Bài viết
Điểm đánh giá: 124 (tàm tạm)

Đã gửi 27 April 2011 - 07:16 PM

1.Cái bạn nói gọi là break. Bạn có thể tìm trên diễn đàn về cách dùng lệnh này, hoặc lisp break nhanh...
2.Bạn không nói việc kiểm tra làm j, bằng công cụ gì, đầu ra ra sao, nên câu này chờ bạn update sau

Cảm ơn bạn đã quan tâm đến vấn đề của mình. Về câu hỏi thứ 2, mình muốn vẽ một mặt cắt trước trong CAD dưới dạng file .dxf, sau đó xuất vào Femap để convert thành một mặt cắt của nó. Tuy nhiên vì hình vẽ nhiều nét, lại không vẽ dưới dạng pline nên có khi các đoạn thẳng liền nhau bị rời nhau, hoặc đè lên nhau. Điều kiện trong chương trình Femap là các đường thẳng phải liên tiếp nhau, và mặt cắt là kín :)
  • 0
Share your knowledge. It is a way to achieve immortality !

***

PS: Nếu bài viết của mình có ích, xin hãy "Bình chọn cho bài viết này" nhé :D

#3416 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5681 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 April 2011 - 08:31 PM

Cảm ơn bạn đã quan tâm đến vấn đề của mình. Về câu hỏi thứ 2, mình muốn vẽ một mặt cắt trước trong CAD dưới dạng file .dxf, sau đó xuất vào Femap để convert thành một mặt cắt của nó. Tuy nhiên vì hình vẽ nhiều nét, lại không vẽ dưới dạng pline nên có khi các đoạn thẳng liền nhau bị rời nhau, hoặc đè lên nhau. Điều kiện trong chương trình Femap là các đường thẳng phải liên tiếp nhau, và mặt cắt là kín :)

- Trong trường hợp có 2 đoạn Line trùng nên nhau, lệnh Overkill làm rất tốt việc tìm phần trùng và gộp 2 đường đó thành 1 :)
- Trong trường hợp 2 đoạn Line bị rời nhau, muốn nối lại bạn có thể sử dụng lisp nối các Line rời thành 1 theo điều kiện khoảng cách lớn nhất. (Lisp jp đã post trên diến đàn, bạn chịu khó soi nhé ^^)

=> Bạn thực hiện cả 2 bước trên là ngon ngay
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3417 m4u_and1

m4u_and1

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 April 2011 - 08:49 PM

Khoanh xung quanh các đối tượng đc chọn thì cái nào là cái nguồn trong các cái đó. Nếu thay 1 tập các text A = 1 tập các text B, bạn có đảm bảo số text chọn bằng nhau, hoặc theo đúng thứ tự mong muốn ?
P/S : với chọn khoanh : mình cũng tịt luôn điểm hay ở lisp này là change được text trong Block :)

=> Mình sẽ đưa cho bạn lựa chọn là chọn text nguồn hoặc đích đến bao giờ trúng thì thôi, OK ?



Vâng, thưa bác ý em là thế này ạ.
Chắc là bác cũng sử dụng lệnh MA( matchprop) nhiều rồi đúng ko ạ. Em muốn là sau khi chọn text nguồn xong, khi pick chọn Text đích thì có thể pick chuột để tạo khung chữ nhật lựa chọn xung quanh text đích. Vì em thấy cái lisp của bác bị hạn chế là nó chỉ pick điểm chứ không chọn kiểu khung chữ nhật được.
( Nói mãi mà không thoát ý cho các bác hiểu được. Nản thật! :( )
  • 0

#3418 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5681 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 April 2011 - 09:20 PM

Vâng, thưa bác ý em là thế này ạ.
Chắc là bác cũng sử dụng lệnh MA( matchprop) nhiều rồi đúng ko ạ. Em muốn là sau khi chọn text nguồn xong, khi pick chọn Text đích thì có thể pick chuột để tạo khung chữ nhật lựa chọn xung quanh text đích. Vì em thấy cái lisp của bác bị hạn chế là nó chỉ pick điểm chứ không chọn kiểu khung chữ nhật được.
( Nói mãi mà không thoát ý cho các bác hiểu được. Nản thật! :( )

Ý của bạn đã bàn ở trên, có điều bạn không đọc kỹ thôi.Lý do tại sao mình không để chọn khoanh vùng text đích mình và bác Bình cũng đều giải thích rồi, đó là có chủ đích chứ k là hạn chế. Nhưng thôi, cái đó bạn không đọc/cần thì mình bỏ đi vậy :) THeo yêu cầu mà ^^

(defun c:tt (/ A B)
(vl-load-com)
(if (setq A (nentsel "\nCh\U+1ECDn text ngu\U+1ED3n :"))
(progn
(setq A (cdr (assoc 1 (entget (car A)))))
(prompt "\nCh\U+1ECDn text b\U+1ECB thay th\U+1EBF :")
(foreach B (vl-remove-if 'listp (mapcar 'cadr (ssnamex (ssget '((0 . "*TEXT"))))))
(entmod (subst (cons 1 A) (assoc 1 (entget B))(entget B)))
)
)
)
(princ)
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3419 m4u_and1

m4u_and1

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 April 2011 - 09:33 AM

Ý của bạn đã bàn ở trên, có điều bạn không đọc kỹ thôi.Lý do tại sao mình không để chọn khoanh vùng text đích mình và bác Bình cũng đều giải thích rồi, đó là có chủ đích chứ k là hạn chế. Nhưng thôi, cái đó bạn không đọc/cần thì mình bỏ đi vậy :) THeo yêu cầu mà ^^

hehe. Em cảm ơn bác nhé. Lần này thì đúng ý của em rồi đấy ạ.
  • 0

#3420 kidmiel

kidmiel

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 April 2011 - 10:58 AM

Mình cần 1 lisp có chức năng tuần tự như sau:

_ Detach all unloaded x-ref
_ Explode attribute to text (all blocks in drawing)
_Bind all remaining x-ref
_Purge (all)

Nhờ các pro viết lisp giúp mình với.
  • 0